Bug 117850 - PAM Service Name doesn't match Actual PAM Filename in RPM
PAM Service Name doesn't match Actual PAM Filename in RPM
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2004-03-09 05:11 EST by Jeff Rush
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-15 18:22:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Rush 2004-03-09 05:11:14 EST
Description of problem:

Postfix, when configured to use SASL, and SASL is set to PAM, uses the
wrong "PAM Service Name".  The Postfix documentation says it uses a
name of "smtp" and indeed it does.  _However_, the RPM provides a file
named /etc/pam.d/smtp.postfix, which would require a "PAM Service
Name" of "smtp.postfix".

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Additional info:

I don't care which, but either Postfix should use a service name of
"smtp.postfix" or the file in /etc/pam.d should be renamed from
smtp.postfix to smtp.  When I do the latter on my system, everything
begins working as expected.
Comment 1 John Dennis 2004-03-09 11:28:26 EST
The file /etc/pam.d/smtp is shared with the other mta, sendmail. Did
you use alternatives to set your mta to postfix? If you did then the
file /etc/pam.d/smtp should be present, but will be a symbolic link to
the postfix version. You should see something like this if you used
alternatives, do you? If so this shouldn't be a problem and the bug
can be closed.

# ls -l /etc/pam.d/smtp
/etc/pam.d/smtp -> /etc/alternatives/mta-pam

# ls -l /etc/alternatives/mta-pam
/etc/alternatives/mta-pam -> /etc/pam.d/smtp.postfix

Use of alternatives is documented in
/usr/share/doc/postfix-*/README-Postfix-SASL-RedHat.txt, although
perhaps it needs to be called out better to make it more obvious.

Comment 2 John Dennis 2004-03-15 18:22:23 EST
I haven't heard anything back. I'm proceding on the assumption this
problem arose from not using alternatives and I'm closing the bug out.
Comment 3 Jeff Rush 2004-03-15 19:42:59 EST
Yes, I didn't use alternatives (didn't even know it existed until your
email).  When I installed Fedora I selected Postfix as the MTA but it
installed both Sendmail and Postfix anyway.  I then did an "rpm -e
sendmail" and assumed things would start using Postfix.  I've now run
the alternatives command to formally "set" things to Postfix, but I'm
not sure how anyone would figure this out by themself.
Comment 4 John Dennis 2004-03-15 20:07:53 EST
Its in the chapter "Mail Transport Agent (MTA) Configuration"


2 notes: All this tool does is call alternatives, and RHL-9 is the
current doc set for Fedora

Note You need to log in before you can comment on or make changes to this bug.